Đến nội dung


Hình ảnh

Đố vui


  • Please log in to reply
1743 replies to this topic

#1241 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 06 November 2013 - 02:54 PM

Quick code cho Haanh đây. Tìm giao của khối 3D và Line, đồng thời Trim phần Line nằm bên trong khối 3D. Lệnh: TR3D

P/S: edit 12h05' - 4/11/2013

 

;; Doan Van Ha - CADViet.com - Ngay 03/11/2013
;; Chuc nang: tim giao cua line voi 3DSolid va trim phan line nam ben trong solid.
(defun C:TR3D ( / #Inter:2Ent #List:UniqueFuzz lst sol lin lin1 p3 rec reg g1 g2)
 (setq osm (getvar "osmode") cmd (getvar "cmdecho")) (command "undo" "be") (or cal (arxload "geomcal")) (command "ucs" "w")
 (defun #Inter:2Ent(ent1 ent2 flag / l r)
  (setq l (vlax-invoke (vlax-ename->vla-object ent1) 'intersectwith (vlax-ename->vla-object ent2) flag))
  (repeat (/ (length l) 3)
   (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l)))
  (reverse r))
 (defun #List:UniqueFuzz(l f / x r)
  (while l
   (setq x (car l) l (vl-remove-if '(lambda(y) (equal x y f)) (cdr l)) r (cons x r)))
  (reverse r))
 (if
  (and
   (setq lin (car (entsel "\nChon Line: ")))
   (setq sol (car (entsel "\nChon khoi 3D: ")))
   (setq p3 (getpoint "\nChon 1 diem tren khoi 3D (nhung khong nam tren Line): ")))
  (progn
   (setvar "osmode" 0) (setvar "cmdecho" 0)
   (command "copy" lin "" '(0 0) '(0 0))
   (setq lin1 (entlast))
   (command "section" sol "" (cdr (assoc 10 (entget lin1))) (cdr (assoc 11 (entget lin1))) p3)
   (setvar "osmode" osm) (setvar "cmdecho" cmd)
   (setq reg (entlast))
   (setq lst (#List:UniqueFuzz (#Inter:2Ent lin1 reg acExtendNone) 1E-8))
   (cond
    ((= (length lst) 2) (setq p1 (car lst) p2 (cadr lst)) (command "trim" reg "" (cal "plt(p1,p2,0.5)") ""))
((= (length lst) 1) (setq p (getpoint "\nChon 1 diem tren Line va nam phia trong khoi 3D: ")) (setvar "osmode" 0) (setvar "cmdecho" 0) (command "trim" reg "" p ""))
((= (length lst) 0) (alert "Line khong cat khoi 3D nen khong Trim duoc."))
(T (alert "Line cat khoi 3D nhieu hon 2 diem nen khong Trim kieu nay duoc.")))
   (entdel reg) (entdel lin)))
 (command "ucs" "p") (command "undo" "e") (setvar "osmode" osm) (setvar "cmdecho" cmd)
 (princ))
(vl-load-com)
(princ "\nLenh su dung: TR3D")  
 
;; Doan Van Ha - CADViet.com - Ngay 03/11/2013
;; Chuc nang: tim giao cua line voi 3DSolid va trim phan line nam ben trong solid.
(defun C:TR3D ( / #Inter:2Ent #List:UniqueFuzz lst sol lin p3 rec reg g1 g2)
 (setq osm (getvar "osmode") cmd (getvar "cmdecho")) (command "undo" "be") (or cal (arxload "geomcal")) (command "ucs" "w")
 (defun #Inter:2Ent(ent1 ent2 flag / l r)
  (setq l (vlax-invoke (vlax-ename->vla-object ent1) 'intersectwith (vlax-ename->vla-object ent2) flag))
  (repeat (/ (length l) 3)
   (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l)))
  (reverse r))
 (defun #List:UniqueFuzz(l f / x r)
  (while l
   (setq x (car l) l (vl-remove-if '(lambda(y) (equal x y f)) (cdr l)) r (cons x r)))
  (reverse r))
 (if
  (and
   (setq lin (car (entsel "\nChon Line: ")))
   (setq sol (car (entsel "\nChon khoi 3D: ")))
   (setq p3 (getpoint "\nChon 1 diem tren khoi 3D (nhung khong nam tren Line): ")))
  (progn
   (setvar "osmode" 0) (setvar "cmdecho" 0)
   (command "section" sol "" (cdr (assoc 10 (entget lin))) (cdr (assoc 11 (entget lin))) p3)
   (setvar "osmode" osm) (setvar "cmdecho" cmd)
   (setq reg (entlast))
   (setq lst (#Inter:2Ent lin reg acExtendNone))
   (cond
    ((>= (length lst) 2) (setq lst (#List:UniqueFuzz lst 1E-8) p1 (car lst) p2 (cadr lst)) (command "trim" reg "" (cal "plt(p1,p2,0.5)") ""))
((= (length lst) 1) (setq p (getpoint "\nChon 1 diem tren Line va nam phia trong khoi 3D: ")) (setvar "osmode" 0) (setvar "cmdecho" 0) (command "trim" reg "" p ""))
((= (length lst) 0) (alert "Line khong cat khoi 3D nen khong Trim duoc.")))
   (entdel reg)))
 (command "ucs" "p") (command "undo" "e") (setvar "osmode" osm) (setvar "cmdecho" cmd)
 (princ))
(vl-load-com)
(princ "\nLenh su dung: TR3D")  

Điểm thứ 3 chỉ cần không nằm trên line là được, nên để chương trình tự động tính, giảm bớt 1 bước chọn điểm


  • 0

#1242 thoitrangthanh

thoitrangthanh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 November 2013 - 04:12 PM

quá dễ, pix ngay thôii 







Vest nam nữ công sở đẹp : 
http://thoitrangthan...nu-cong-so.html


  • 0

#1243 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 06 November 2013 - 10:09 PM

Với hình này của Hoằn thì dùng MIRROR3D với 3 điểm chọn là m2p cho 2 chân dim của mỗi dim.

 

 

114276_dd_1.png

 

Đáp án của anh Hiệp đúng :) :) :) , câu trả lời của anh rất tổng quát, nghĩa là dùng khi chưa có đường dim

Nếu có sẵn đường dim cách làm của em là bấm chọn vào 3 điểm giữa của các đường ghi chữ số kt.

Tuy nhiên hình này hơi bị đặc biệt, nếu bấm chọn vào điểm giữa của 3 đường ghi chữ số mầu đỏ , sẽ có kết quả gần đúng, mặt phẳng nghiêng mầu vàng, sẽ không "tiếp đất".

Nếu bấm chọn vào điểm giữa của 3 đường ghi chữ số mầu xanh , mặt phẳng nghiêng mầu vàng sẽ... "tiếp địa" toàn phần.


  • 1

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#1244 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 07 November 2013 - 02:24 PM

114276_987777_1.png

(Hình bên phải chủ thớt đã vẽ sai hình chiếu!)

File hình vẽ: http://www.cadviet.c...6_hoanblock.dwg

 

Đố vui làm thế nào để xác định nhanh được 4 điểm A, B, C và D đều nằm trên cùng một mặt phẳng ???

Xin mời các bác tiếp tục thư giãn!

Nguồn câu đố: http://www.cadviet.c...g-cad-3d/page-2


  • 1

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#1245 nguyenvanvinh798

nguyenvanvinh798

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 November 2013 - 10:24 PM

Em fix duoc thi sao bac???

bạn ơi, sao mình lệnh vẽ của mình ra vậy, giúp mình xóa đc không  http://www.cadviet.c..._untitled_2.rar


  • 0

#1246 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 November 2013 - 10:45 PM

114276_987777_1.png

(Hình bên phải chủ thớt đã vẽ sai hình chiếu!)

File hình vẽ: http://www.cadviet.c...6_hoanblock.dwg

 

Đố vui làm thế nào để xác định nhanh được 4 điểm A, B, C và D đều nằm trên cùng một mặt phẳng ???

Xin mời các bác tiếp tục thư giãn!

Nguồn câu đố: http://www.cadviet.c...g-cad-3d/page-2

 

 

Hề hề hề,

AB//CD và AB=CD


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1247 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 08 November 2013 - 06:38 AM

Hề hề hề,

AB//CD và AB=CD

1). AB//CD là đủ.

2). Nhưng làm sao để biết chúng // ?


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#1248 truongthon304

truongthon304

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 08 November 2013 - 07:53 AM

xem 2 đường thằng có cắt nhau ko

Vẽ line AB, CD (hoặc AC, BD), rồi fillet hay trim hay extend gì đó


  • 1

#1249 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 08 November 2013 - 08:02 AM

114276_987777_1.png

(Hình bên phải chủ thớt đã vẽ sai hình chiếu!)

File hình vẽ: http://www.cadviet.c...6_hoanblock.dwg

 

Đố vui làm thế nào để xác định nhanh được 4 điểm A, B, C và D đều nằm trên cùng một mặt phẳng ???

Xin mời các bác tiếp tục thư giãn!

Nguồn câu đố: http://www.cadviet.c...g-cad-3d/page-2

H1 + H4 = H2 + H3

=>> AC cắt BD


  • 1

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#1250 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 08 November 2013 - 02:01 PM

Hơi bị tiếc là đáp án của các bác đưa ra hơi bị dài và nó chỉ đúng trong trường hợp đặc biệt như ở trên. Giả sử chủ thớt oái oăm lại đưa ra trường hợp vị trí của các cao độ H trên hình chiếu bằng, không phải là 4 điểm,  mà là 7 điểm , tạo thành một đa giác có 7 cạnh không bằng nhau thì các bác tính sao ???

Chốt lại:  bài toán  xác định nhanh xem 4 điểm A, B, C và D có cùng nằm trên một mặt phẳng hay không vẫn chưa có lời giải ngắn gọn.

Xin mời các bác tiếp tục thư giãn cho vui???

(Gợi ý: cách xác định nhanh của em là không dùng lisp)

@ Anh Hiệp: Bác Doan Van Ha : [đã xong] lisp xác định vị trí tương đối giữa Point và Plane. Khi Ponit không thuộc Plane thì giao điểm của đường thẳng kẻ từ Point vuông góc với Plane sẽ được vẽ: http://www.cadviet.c...ong-khong-gian/

Anh test thử xem sao??? Hy vọng là anh sẽ cải tiến và nâng cấp lisp của bác Hà,  để ứng dụng vào trường hợp xác định nhanh xem 7 cao điểm tạo thành  đa giác có 7 cạnh không bằng nhau trên hình chiếu bằng, có nằm trên cùng một mặt phẳng hay không???


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#1251 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 08 November 2013 - 02:23 PM

Với 4 điểm nếu Hoằn chỉ dùng duy nhất 1 lệnh (được phép osnap nhưng không tính) mà kiểm tra được sự đồng phẳng mới gọi là hay, còn hơn 1 lệnh thì vẫn chưa hay.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#1252 truongthon304

truongthon304

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 08 November 2013 - 03:34 PM

em thử dùng lệnh area, đo 2 lần.

4 điểm đồng phẳng thì đo từ điểm nào cũng được diện tích bằng nhau;

4 điểm không đồng phẳng, đo 2 lần từ 1 điểm thuận và ngược chiều kim đồng hồ cho diện tích lại khác nhau; đo từ 1 điểm khác cũng vậy

không biết có phải nó luôn đúng không, hay em làm mò nó ra?


  • 1

#1253 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 08 November 2013 - 11:07 PM

truongthon304: không biết có phải nó luôn đúng không, hay em làm mò nó ra?

Hoằn : Đúng là bác làm mò nó ra... :)

 

Với 4 điểm nếu Hoằn chỉ dùng duy nhất 1 lệnh (được phép osnap nhưng không tính) mà kiểm tra được sự đồng phẳng mới gọi là hay, còn hơn 1 lệnh thì vẫn chưa hay.

 

Em vẫn chưa tìm ra thử chỉ dùng 1 lệnh, bác Hà ạ!

Hình em vẽ  trên bài số #1248 hơi đặc biệt, em phải dùng hai lệnh mới được.

Có bác nào có cách làm khác không???


  • 1

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#1254 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 09 November 2013 - 08:07 AM

truongthon304: không biết có phải nó luôn đúng không, hay em làm mò nó ra?

Hoằn : Đúng là bác làm mò nó ra... :)

 

 

Em vẫn chưa tìm ra thử chỉ dùng 1 lệnh, bác Hà ạ!

Hình em vẽ  trên bài số #1248 hơi đặc biệt, em phải dùng hai lệnh mới được.

Có bác nào có cách làm khác không???

Lệnh LINE, với osnap inter xem có bắt điểm được giao 2 đường chéo không.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#1255 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 09 November 2013 - 08:46 AM

Em vẫn chưa tìm ra thử chỉ dùng 1 lệnh, bác Hà ạ!

Hình em vẽ  trên bài số #1248 hơi đặc biệt, em phải dùng hai lệnh mới được.

Có bác nào có cách làm khác không???

2 lệnh, mỗi lệnh xài mấy lần ???

Nếu unlimited thì UCS 3p xong rồi ID "mỏi tay" thì biết thôi :D :D :D

Hoặc:

- 3dpolyline qua các điểm

- region   >>> đc --> đồng phẳng

               >>> ko đc --> ko đồng phẳng


  • 1

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#1256 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 09 November 2013 - 06:10 PM

Cách của bác Hà, sau khi thực hiện lệnh xong vẫn phải dùng lệnh erase để xóa 2 đường line.

Cách của anh Hiệp, đáp ứng được trường hợp hình có nhiều điểm,

nhưng hơi bị mỏi tay Enter và mỏi mắt nhìn z=0

Xin mời các bác tiếp tục thư giãn!


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#1257 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 12 November 2013 - 03:26 PM

114276_987777_1.png

(Hình bên phải chủ thớt đã vẽ sai hình chiếu!)

File hình vẽ: http://www.cadviet.c...6_hoanblock.dwg

 

Đố vui làm thế nào để xác định nhanh được 4 điểm A, B, C và D đều nằm trên cùng một mặt phẳng ???

Xin mời các bác tiếp tục thư giãn!

Nguồn câu đố: http://www.cadviet.c...g-cad-3d/page-2

 

Bữa trước khi chủ thớt gửi hình ảnh hình vẽ của chi tiết lên hỏi về cách vẽ hình trụ vát bằng cad 3d. Trước khi dựng hình em đã kiểm tra các tọa độ điểm của nó có đồng phẳng không và tọa độ vị trí của nó trên hình chiếu bằng có đúng không?

 

Câu đố vui làm thế nào để xác định nhanh được 4 điểm A, B, C và D đều nằm trên cùng một mặt phẳng ???Vẫn chưa có đáp án đúng

Câu đố tiếp theo của em là làm thế nào để biết được tọa độ vị trí chủ thớt đã vẽ sai lệnh trên hình chiếu bằng, hãy xác định tọa độ thực của nó một cách chính xác tuyện đối???

(Đây là câu hỏi khó nếu dùng AutoTAY, còn dùng AutoCAD có thể xác định được dễ dàng)

Xin mời các bác tiếp tục thư giản!


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#1258 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 13 November 2013 - 07:03 AM

1. Chứng minh tóm tắt bằng hình học:

Gọi A', B', C', D' là các điểm tương ứng của A, B, C, D trên đường tròn.

Các hình thang AA'C'C và BB'D'D có chung đường trung bình vì:

- Cùng đi qua tâm O của đường tròn.

- Cùng phương, cùng hướng vì AA' // BB' // CC' // DD'

- Cùng độ dài = 774

=> AC cắt BD => ABCD đồng phẳng

2. Lấy mặt phẳng qua đường tròn làm quy chiếu thì:

Các vecto AB và DC có dx, dy bằng nhau vì vecto chiếu của chúng là A'B' = D'C'

Có dz bằng nhau = -46

=> 2 vecto AB và DC bằng nhau

3. Dùng CAD: cách này có thể dùng cho nhiều điểm (như của hiepttr nhưng thêm hàng cuối)

- Dùng lệnh UCS 3p chọn 3 điểm không thẳng hàng

- Dùng lệnh ID kiểm tra Z các điểm còn lại

Nếu không tìm ra 3 điểm không thẳng hàng chứng tỏ tất cả các điểm đồng phẳng


  • 1

#1259 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 13 November 2013 - 10:57 AM

19626_xep.jpg
Mời các bạn giải 2 câu đố sau với điều kiện không dùng khảo sát hàm số
Câu 1:
1 tấm giấy hình vuông cạnh a, cắt 4 góc theo đường đỏ và xếp, dán lại thành 1 hình hộp không nắp.
Tìm thể tích lớn nhất của hình hộp.
Câu 2:
1 tấm giấy hình tròn. cắt theo đường đỏ, dán lại theo đường đứt thành 1 hình nón
Tìm thể tích lớn nhất của hình nónhttp://www.cadviet.c...3/19626_xep.rar


  • 1

#1260 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 13 November 2013 - 12:12 PM

1). Đây là bài toán ứng dụng bất đẳng thức Cauchy. Vấn đề là khôn khéo tí để biến công thức tính V về áp dụng được Cauchy.

Đáp số: V=2*a^3/27

2). Chắc cũng thế! Để người khác kiếm like.


  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.